
#ifndef _GDK_UTILS_H_
#define _GDK_UTILS_H_

#include <monet_options.h>

gdk_export void GDKlog(const char *format, ...);
gdk_export void GDKlockHome(void);
gdk_export void GDKunlockHome(void);
gdk_export int GDKgetHome(void);

gdk_export lng GDKusec(void);
gdk_export int GDKms(void);

gdk_export int gdk_alloc_map;
gdk_export BAT *GDKenv;



gdk_export char *GDKgetenv(const char *name);



gdk_export int GDKgetenv_isyes(const char *name);



gdk_export int GDKgetenv_istrue(const char *name);



gdk_export void GDKsetenv(str name, str value);



/* default setting to administer everything */
#define GDK_MEM_NULLALLOWED

#if SIZEOF_VOID_P==8
#define GDK_VM_MAXSIZE	LL_CONSTANT(137438953472)	/* :-) a 64-bit OS: 128 GB */
#else
#define GDK_VM_MAXSIZE	LL_CONSTANT(1610612736)	/* :-| a 32-bit OS: 1.5GB */
#endif


gdk_export int GDKrecovery;



gdk_export int GDKinit(opt *set, int setlen);



gdk_export int GDKstopped;



gdk_export void GDKexit(int status);



gdk_export const char *GDKversion(void);



#endif /* _GDK_UTILS_H_ */



