
#ifndef _GDK_DELTA_H_
#define _GDK_DELTA_H_
#include "gdk.h"



#define DELTAprintf DELTADEBUG printf
#define DELTAinit(P1)	do {					      \
	BATsetcount((P1), 0);					      \
	(P1)->H->heap.free = 0;					      \
	(P1)->T->heap.free = 0;					      \
	(P1)->batDeleted = (P1)->batInserted = (P1)->batFirst = 0;    \
	(P1)->H->shift = ATOMelmshift(Hsize(P1));		      \
	(P1)->T->shift = ATOMelmshift(Tsize(P1));		      \
	DELTAprintf(						      \
	 	"#DELTAinit %s free " SZFMT "," SZFMT " ins " OIDFMT " del " OIDFMT " first " OIDFMT " base " PTRFMT "," PTRFMT "\n", \
		BATgetId(P1),				      \
		(P1)->H->heap.free,			      \
		(P1)->T->heap.free,			      \
		(P1)->batInserted,			      \
		(P1)->batDeleted,			      \
		(P1)->batFirst,				      \
		PTRFMTCAST (P1)->H->heap.base,		      \
		PTRFMTCAST (P1)->T->heap.base);	      	      \
} while (0)


#define DELTAdirty(b)	(((b)->batDeleted != BUNfirst(b)) ||\
	((b)->batInserted < BUNlast(b)))

#endif /* _GDK_DELTA_H_ */

